Retrieve a review
GET/api/v2/reviews/{reviewId}
Returns a single review object.
Path parameters
| Param | Type | Required | Description |
|---|---|---|---|
reviewId | number | Required | The id of the review to return. |
Request
cURL
GET /api/v2/reviews/{reviewId}
curl --location 'https://www.reviewsolicitors.co.uk/api/v2/reviews/{reviewId}' \
--header 'Authorization: Bearer {access_token}'Response
200 OK
{
"id": 0,
"reviewDate": "2026-01-31",
"title": "string",
"text": "string",
"rating": 0,
"workArea": "string",
"mainWorkAreaName": "string",
"subWorkAreaName": "string",
"reference": "string",
"satisfied": false,
"recommended": false,
"response": "string",
"responseBy": "string",
"responseDate": "2026-02-01T09:30:00",
"stats": {
"initialImpressions": 0,
"legalKnowledge": 0,
"valueForMoney": 0,
"approachability": 0,
"documentationAccuracy": 0,
"communication": 0
},
"professionals": [
{
"id": 0,
"name": "string",
"profileImage": "string",
"regulatorId": "string",
"url": "string"
}
],
"reviewerName": "string",
"reviewerProfilePicture": "string",
"reviewerVerified": false,
"source": "string",
"helpfulCount": 0,
"customQuestions": [
{
"question": "string",
"answer": "string"
}
]
}The example above contains placeholder data. Actual reviews carry your firm’s own content.
The review object
| Field | Type | Description |
|---|---|---|
id | number | An arbitrary ID for the review. Can be used to check for new reviews vs updated reviews. |
reviewDate | string | The date of the review, as YYYY-MM-DD. |
title | string | The review title. |
text | string | The review text. |
rating | number | Our star rating. Min = 1; Max = 5. |
workArea | string | The area of law the reviewer has selected for the service they received from the law firm. |
mainWorkAreaName | string | The top level work area name. |
subWorkAreaName | string | The sub work area name, where one applies. |
reference | string | The client case reference. |
satisfied | boolean | True/false for the question ‘Were you satisfied with our service?’ |
recommended | boolean | True/false for the question ‘Would you recommend this firm to family and friends?’ |
response | string | Your firm’s published reply to the review, if one has been posted. |
responseBy | string | Who posted the reply. |
responseDate | string | When the reply was posted, as a date and time. |
stats | object | The reviewer’s rating breakdown. See below. |
professionals | object[] | The professionals named in the review. See below. |
reviewerName | string | The reviewer’s display name. |
reviewerProfilePicture | string | URL of the reviewer’s profile picture. |
reviewerVerified | boolean | Whether the reviewer has been verified. |
source | string | Where the review came from. |
helpfulCount | number | How many people marked the review as helpful. |
customQuestions | array | The client’s answers to your firm’s custom questionnaire questions. Empty when the review has none. See the custom question object. |
The stats object
| Field | Type | Description |
|---|---|---|
initialImpressions | number | Score for the reviewer’s first impressions of the firm. |
legalKnowledge | number | Score for the firm’s legal knowledge. |
valueForMoney | number | Score for value for money. |
approachability | number | Score for how approachable the firm was. |
documentationAccuracy | number | Score for the accuracy of the documentation. |
communication | number | Score for the firm’s communication. |
The professional object
| Field | Type | Description |
|---|---|---|
id | number | The professional’s ID. |
name | string | The professional’s name. |
profileImage | string | URL of the professional’s profile image. |
regulatorId | string | The professional’s regulator ID. |
url | string | URL of the professional’s profile. |
The custom question object
| Field | Type | Description |
|---|---|---|
question | string | The question as it appeared on your questionnaire when the review was left. |
answer | string | The client’s answer as text, or null if they skipped the question. |
Errors
| Code | Cause |
|---|---|
| 404 | No published review with that reviewId belongs to your firm. Reviews that are pending, suspended or removed, and reviews imported from Trustpilot, are not returned. |
Last updated on